Bug 597318 - A freshly installed Fedora 13 box with NIS authentication selected doesn't set allow_ypbind in SELinux
A freshly installed Fedora 13 box with NIS authentication selected doesn't se...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ypbind (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 12:07 EDT by Jonathan Abbey
Modified: 2011-06-02 09:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 09:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Abbey 2010-05-28 12:07:40 EDT
Description of problem:

I installed Fedora 13 from the release disc, and chose NIS authentication in the
firstboot configurator.

Unfortunately, it seems that choosing NIS authentication in the firstboot configurator is not enough to tell Fedora 13 to turn on the 'allow_ypbind' SELinux boolean.

Version-Release number of selected component (if applicable):

Fedora 13, ypbind-1.31.2.fc13, selinux-policy-3.7.19.15.fc13

How reproducible:

Install Fedora 13, select NIS user authentication.  Wait for things to explode.

Steps to Reproduce:
1. Install Fedora 13
2. Select NIS user authentication
3. Try and fail to login, notice allow_ypbind is not enabled.
  
Actual results:

Breakage.  Seemingly random NIS failures at login time.. though sometimes login does succeed despite allow_ypbind not being enabled.

Expected results:

Have allow_ypbind enabled in the SELinux boolean set when NIS authentication is chosen at install time.

Additional info:
Comment 1 Karel Klíč 2010-06-01 05:56:02 EDT
Reassigning to firstboot, as ypbind itself cannot set allow_ypbind SELinux boolean.

Maybe it should be reassigned to authconfig-gtk (system-config-authentication), I am not sure who should set allow_ypbind.
Comment 2 Karel Klíč 2010-06-01 08:12:00 EDT
Assigning back, sorry, it's mine. The allow_ypbind is set in the ypbind init script.
Comment 3 Karel Klíč 2010-06-01 08:30:10 EDT
Hi Jonathan,
can you please uncomment the following lines in /etc/init.d/ypbind.init, functions selinux_on and selinux_off:
#echo $"Turning on allow_ypbind SELinux boolean"
#echo $"Turning off allow_ypbind SELinux boolean"

and check if "Turning on allow_ypbind..." appears when ypbind is started during boot.
Comment 4 Edgar Hoch 2010-07-17 11:06:10 EDT
With packages ypbind-1.31-3.fc13 (installed by yum update) I see that allow_ypbind is set on after reboot with ypbind configured to start on boot.
Comment 5 Fedora Admin XMLRPC Client 2011-03-09 08:53:34 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Bug Zapper 2011-06-02 09:03:19 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Edgar Hoch 2011-06-02 09:30:37 EDT
(In reply to comment #4)
> With packages ypbind-1.31-3.fc13 (installed by yum update) I see that
> allow_ypbind is set on after reboot with ypbind configured to start on boot.

I think this bug can be closed.
Comment 8 Honza Horak 2011-06-02 09:37:24 EDT
Closing because of comment #7 and it works for me too.

Note You need to log in before you can comment on or make changes to this bug.